{% import 'AppBundle:Macros:macros.html.twig' as this %}
{% if group is defined and group %}
    {% set files = group.attachedFiles %}
    {% set element = group.id %}
{% elseif event is defined and event %}
    {% set files = event.attachedFiles %}
    {% set element = event.id %}
{% endif %}
{% set showHelp = false %}
{% for file in files %}
    {% if not is_granted('VIEW_FILE', file) %}
        {% set showHelp = true %}
    {% endif %}
{% endfor %}

{% if showHelp %}
    {% include 'AppBundle:Documents:help.html.twig' %}
{% endif %}
<table id="files" class="table">
    <tr>
        <th>Nom</th>
        <th></th>
        <th>Catégorie</th>
        <th>Lié à</th>
        <th>Dernière modif</th>
        <th></th>
    </tr>
    {% for file in files %}
        <tr>
            <td class="" style="text-align: left">
                {{ file.extension|fileIcon }}
        {% if is_granted('VIEW_FILE', file) %}
                <strong>
                    {{ file }}{% if file.event %} ({{ file.event.title }} du {{ file.event.date|date('d/m/y') }}){% endif %}
                </strong>
            {% endif %}
            </td>
            <td>
        {% if is_granted('VIEW_FILE', file) %}
                <i class="fa fa-info-circle" data-toggle="popover" title="{{ file }}" data-content="{{ file.description }}"></i>
            {% endif %}
            </td>
            <td class="">
                {{ file.category }}
            </td>
            <td class="">
                {%  if file.group %}
                    {% set linkedGroup = file.group %}
                    {% include 'AppBundle:Group/Fields:link.html.twig' %}
                {%  endif %}
                {%  if file.event %}
                    {% if file.group %}<br>{% endif %}
                    <a href="{{ path('event_view', {id: file.event.id}) }}" class="pinkColor">
                        <i class="glyphicon glyphicon-calendar"></i> {{ file.event }}
                            <i class="fa fa-external-link">

                            </i>
                    </a><br>
                {%  endif %}
            </td>
            <td class="">
                {{ file.lastUpdate|date('d/m/y') }}
            </td>
            <td class="">
                {% if is_granted('DELETE_FILE', file) %}
                    <span class="pull-right  shortButton">
                        <a href="{{ path('file_delete', { 'file_id': file.id }) }}"
                           data-confirm="Confirmer la suppression du fichier {{ file }} ?"
                           data-remote="true"
                           data-method="delete"
                           class="btn btn-primary  btn-sm">
                            <i class="fa fa-trash-o"></i>
                        </a>
                    </span>
                {% endif %}
                {% if is_granted('UPDATE_FILE', file) %}
                    <span class="pull-right  shortButton">
                        <a href="#"
                           actionUrl="{{ path('file_update', { 'file_id': file.id }) }}"
                           class="modal-form btn btn-primary btn-sm">
                            <i class="fa fa-edit"></i>
                        </a>
                    </span>
                {% endif %}
                {% if is_granted('VIEW_FILE', file) %}
                    <span class="pull-right shortButton">
                        <a href="{{ path('file_display', { 'id': file.id }) }}"
                           title="{{ file.originalFilename }}" target="_blank"
                           class="btn btn-primary btn-sm">
                            <i class="fa fa-eye"></i>
                        </a>
                    </span>
                {% else %}
                    <span class="pull-right shortButton">
                        <i class="fa fa-ban"></i>
                    </span>
                {% endif %}
            </td>
        </tr>
    {% else %}
        <tr>
            <td class="col-sm-12"> Aucun document :(</td>
        </tr>
    {% endfor %}
</table>

{% if files is defined and files.nbResults is defined %}
    <div class="row text-center">
        <div class="pagerfanta">
            {{ pagerfanta(files, 'twitter_bootstrap3_translated', {'pageParameter':'[newsPage]'}) }}
        </div>
    </div>
{% endif %}

